Error::TypeTiny::WrongNumberOfParameters(3)

NAME
Error::TypeTiny::WrongNumberOfParameters - exception for Type::Params

STATUS
This module is covered by the Type-Tiny stability policy.

DESCRIPTION
Thrown when a Type::Params compiled check is called with the wrong number of parameters.

Also thrown by various parameterizable type constraints under similar circumstances. For example, the "HashRef[Int]" makes sense, but "HashRef[Int, {}]" does not.

This package inherits from Error::TypeTiny; see that for most documentation. Major differences are listed below:

  Attributes

"minimum"
    The minimum expected number of parameters.

"maximum"
    The maximum expected number of parameters.

"got"
    The number of parameters actually passed to the compiled check.

"target"
    A short string describing what there was the wrong number of parameters for.

  Methods

"has_minimum", "has_maximum", "has_target"
    Predicate methods.

BUGS
Please report any bugs to <https://github.com/tobyink/p5-type-tiny/issues>.

SEE ALSO
Error::TypeTiny.

AUTHOR
Toby Inkster <tobyink@cpan.org>.

COPYRIGHT AND LICENCE
This software is copyright (c) 2013-2014, 2017-2025 by Toby Inkster.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.

DISCLAIMER OF WARRANTIES
THIS PACKAGE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF MERCHANTIBILITY AND FITNESS FOR A PARTICULAR PURPOSE.